/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package service.impl;

import domain.Invoice;
import service.ServiceInvoice;
import storage.StorageInvoice;
import storage.impl.database.StorageDatabaseInvoice;
import validator.Validator;
import validator.invoice.SaveInvoiceValidator;

/**
 *
 * @author student1
 */
public class ServiceInvoiceImpl implements ServiceInvoice {

    private final StorageInvoice storageInvoice;

    public ServiceInvoiceImpl() {
        this.storageInvoice = new StorageDatabaseInvoice();
    }

    @Override
    public Invoice save(Invoice invoice) throws Exception {
        //TODO validation
        Validator validator = new SaveInvoiceValidator();
        validator.validate(invoice);
        return storageInvoice.save(invoice);
    }

}
